Package com.xebialabs.deployit.plugin.api.udm.base

# Class BaseConfigurationItemWithPolicies

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItemWithPolicies

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `DeployedApplication`

@Metadata(virtual=true, description="Implementation of a Base CI that provides on success policy.") public class BaseConfigurationItemWithPolicies extends BaseConfigurationItem
Implementation of a `BaseConfigurationItem` that provides on success policy.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected OnTaskFailurePolicy`
  `onFailurePolicy`
  `protected OnTaskSuccessPolicy`
  `onSuccessPolicy`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseConfigurationItemWithPolicies()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OnTaskFailurePolicy`
  `getOnFailurePolicy()`
  `OnTaskSuccessPolicy`
  `getOnSuccessPolicy()`
  `void`
  `setOnFailurePolicy(OnTaskFailurePolicy onFailurePolicy)`
  Sets on task failure policy.
  `void`
  `setOnSuccessPolicy(OnTaskSuccessPolicy onSuccessPolicy)`
  Sets on task success policy.

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### onSuccessPolicy

    @Property(description="Process successful tasks on CI according to the defined policy.", required=false, category="Policies") protected OnTaskSuccessPolicy onSuccessPolicy

  - ### onFailurePolicy

    @Property(description="Process failed tasks on CI according to the defined policy.", required=false, category="Policies") protected OnTaskFailurePolicy onFailurePolicy

- ## Constructor Details

  - ### BaseConfigurationItemWithPolicies

    public BaseConfigurationItemWithPolicies()

- ## Method Details

  - ### getOnSuccessPolicy

    public OnTaskSuccessPolicy getOnSuccessPolicy()
    Returns:
      task success policy.

  - ### setOnSuccessPolicy

    public void setOnSuccessPolicy(OnTaskSuccessPolicy onSuccessPolicy)
    Sets on task success policy.
    Parameters:
      `onSuccessPolicy` - attributes of ci modification

  - ### getOnFailurePolicy

    public OnTaskFailurePolicy getOnFailurePolicy()
    Returns:
      task failure policy.

  - ### setOnFailurePolicy

    public void setOnFailurePolicy(OnTaskFailurePolicy onFailurePolicy)
    Sets on task failure policy.
    Parameters:
      `onFailurePolicy` - attributes of ci modification